{
    "objects": [
        {
            "attributes": {
                "description": "Kubernetes Proxy metrics",
                "hits": 0,
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": [{\"query\": {\"match\": {\"event.dataset\": {\"query\": \"kubernetes.proxy\", \"type\": \"phrase\"}}}, \"meta\": {\"params\": {\"query\": \"kubernetes.proxy\"}, \"disabled\": false, \"type\": \"phrase\", \"alias\": null, \"indexRefName\": \"kibanaSavedObjectMeta.searchSourceJSON.filter[0].meta.index\", \"negate\": false, \"key\": \"event.dataset\", \"value\": \"kubernetes.proxy\"}, \"$state\": {\"store\": \"appState\"}}]}"
                },
                "optionsJSON": "{\"hidePanelTitles\": false, \"useMargins\": true}",
                "panelsJSON": "[{\"gridData\": {\"i\": \"1\", \"h\": 12, \"x\": 0, \"w\": 23, \"y\": 12}, \"panelIndex\": \"1\", \"embeddableConfig\": {}, \"version\": \"7.1.1\", \"panelRefName\": \"panel_0\"}, {\"gridData\": {\"i\": \"2\", \"h\": 12, \"x\": 23, \"w\": 25, \"y\": 12}, \"panelIndex\": \"2\", \"embeddableConfig\": {}, \"version\": \"7.1.1\", \"panelRefName\": \"panel_1\"}, {\"gridData\": {\"i\": \"3\", \"h\": 12, \"x\": 12, \"w\": 9, \"y\": 0}, \"panelIndex\": \"3\", \"embeddableConfig\": {}, \"version\": \"7.1.1\", \"panelRefName\": \"panel_2\"}, {\"gridData\": {\"i\": \"4\", \"h\": 12, \"x\": 21, \"w\": 27, \"y\": 0}, \"panelIndex\": \"4\", \"embeddableConfig\": {}, \"version\": \"7.1.1\", \"panelRefName\": \"panel_3\"}, {\"gridData\": {\"i\": \"5\", \"h\": 13, \"x\": 0, \"w\": 48, \"y\": 24}, \"panelIndex\": \"5\", \"embeddableConfig\": {}, \"version\": \"7.1.1\", \"panelRefName\": \"panel_4\"}, {\"gridData\": {\"i\": \"6\", \"h\": 10, \"x\": 0, \"w\": 48, \"y\": 37}, \"panelIndex\": \"6\", \"embeddableConfig\": {}, \"version\": \"7.1.1\", \"panelRefName\": \"panel_5\"}, {\"gridData\": {\"i\": \"7\", \"h\": 12, \"x\": 0, \"w\": 12, \"y\": 0}, \"panelIndex\": \"7\", \"embeddableConfig\": {}, \"version\": \"7.1.1\", \"panelRefName\": \"panel_6\"}]",
                "timeRestore": false,
                "title": "[Metricbeat Kubernetes] Proxy",
                "version": 1
            },
            "id": "5e649d60-9901-11e9-ba57-b7ab4e2d4b58",
            "migrationVersion": {
                "dashboard": "7.0.0"
            },
            "references": [
                {
                    "id": "metricbeat-*",
                    "name": "kibanaSavedObjectMeta.searchSourceJSON.filter[0].meta.index",
                    "type": "index-pattern"
                },
                {
                    "id": "e0ddd3e0-98fe-11e9-ba57-b7ab4e2d4b58",
                    "name": "panel_0",
                    "type": "visualization"
                },
                {
                    "id": "cac89fb0-9906-11e9-ba57-b7ab4e2d4b58",
                    "name": "panel_1",
                    "type": "visualization"
                },
                {
                    "id": "09b404f0-99af-11e9-ba57-b7ab4e2d4b58",
                    "name": "panel_2",
                    "type": "visualization"
                },
                {
                    "id": "8c6c2690-9bd8-11e9-9dc8-fd27291d427f",
                    "name": "panel_3",
                    "type": "visualization"
                },
                {
                    "id": "b8a24790-9bf0-11e9-9dc8-fd27291d427f",
                    "name": "panel_4",
                    "type": "visualization"
                },
                {
                    "id": "ba7bf750-9bf5-11e9-9dc8-fd27291d427f",
                    "name": "panel_5",
                    "type": "visualization"
                },
                {
                    "id": "bcb194a0-9bf8-11e9-9dc8-fd27291d427f",
                    "name": "panel_6",
                    "type": "visualization"
                }
            ],
            "type": "dashboard",
            "updated_at": "2019-07-03T14:46:55.299Z",
            "version": "WzI5MywyXQ=="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": []}"
                },
                "title": "Proxy CPU [Metricbeat Kubernetes]",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"axis_formatter\": \"number\", \"axis_min\": \"0\", \"series\": [{\"fill\": 0.5, \"formatter\": \"number\", \"value_template\": \"{{value}} s\", \"stacked\": \"none\", \"color\": \"#68BC00\", \"line_width\": 1, \"split_mode\": \"everything\", \"point_size\": 1, \"chart_type\": \"line\", \"id\": \"61ca57f1-469d-11e7-af02-69e470af7417\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"field\": \"kubernetes.proxy.process.cpu.sec\", \"type\": \"avg\"}, {\"id\": \"35da60d0-98fe-11e9-b4e1-6dc893538542\", \"field\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"type\": \"derivative\", \"unit\": \"\"}], \"label\": \"CPU time\"}], \"type\": \"timeseries\", \"index_pattern\": \"metricbeat-*\", \"time_field\": \"@timestamp\", \"axis_scale\": \"normal\", \"interval\": \"auto\", \"id\": \"61ca57f0-469d-11e7-af02-69e470af7417\", \"axis_position\": \"left\", \"show_legend\": 1, \"default_index_pattern\": \"metricbeat-*\", \"show_grid\": 1, \"default_timefield\": \"@timestamp\"}, \"aggs\": [], \"type\": \"metrics\", \"title\": \"Proxy CPU [Metricbeat Kubernetes]\"}"
            },
            "id": "e0ddd3e0-98fe-11e9-ba57-b7ab4e2d4b58",
            "migrationVersion": {
                "visualization": "7.2.0"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2019-07-03T14:03:00.189Z",
            "version": "WzI3NCwyXQ=="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": []}"
                },
                "title": "Proxy memory [Metricbeat Kubernetes]",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"axis_formatter\": \"number\", \"interval\": \"auto\", \"series\": [{\"fill\": 0.5, \"formatter\": \"bytes\", \"stacked\": \"none\", \"color\": \"rgba(251,158,0,1)\", \"line_width\": 1, \"split_mode\": \"everything\", \"point_size\": 1, \"chart_type\": \"line\", \"id\": \"61ca57f1-469d-11e7-af02-69e470af7417\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"field\": \"kubernetes.proxy.process.memory.resident.bytes\", \"type\": \"avg\"}], \"label\": \"Resident\"}, {\"fill\": 0.5, \"formatter\": \"bytes\", \"stacked\": \"none\", \"color\": \"rgba(164,221,0,1)\", \"line_width\": 1, \"split_mode\": \"everything\", \"point_size\": 1, \"chart_type\": \"line\", \"id\": \"1ea6cee0-9907-11e9-b4e1-6dc893538542\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"1ea6cee1-9907-11e9-b4e1-6dc893538542\", \"field\": \"kubernetes.proxy.process.memory.virtual.bytes\", \"type\": \"avg\"}], \"label\": \"Virtual\"}], \"type\": \"timeseries\", \"index_pattern\": \"metricbeat-*\", \"time_field\": \"@timestamp\", \"axis_scale\": \"normal\", \"id\": \"61ca57f0-469d-11e7-af02-69e470af7417\", \"axis_position\": \"left\", \"show_legend\": 1, \"default_index_pattern\": \"metricbeat-*\", \"show_grid\": 1}, \"aggs\": [], \"type\": \"metrics\", \"title\": \"Proxy memory [Metricbeat Kubernetes]\"}"
            },
            "id": "cac89fb0-9906-11e9-ba57-b7ab4e2d4b58",
            "migrationVersion": {
                "visualization": "7.2.0"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2019-07-03T11:26:56.138Z",
            "version": "WzI1NiwyXQ=="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": []}"
                },
                "title": "Proxy process [Metricbeat Kubernetes]",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"axis_formatter\": \"number\", \"interval\": \"30s\", \"series\": [{\"fill\": 0.5, \"formatter\": \"number\", \"var_name\": \"started\", \"stacked\": \"none\", \"color\": \"#68BC00\", \"line_width\": 1, \"split_mode\": \"everything\", \"point_size\": 1, \"chart_type\": \"line\", \"id\": \"61ca57f1-469d-11e7-af02-69e470af7417\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"field\": \"kubernetes.proxy.process.started.sec\", \"script\": \"\", \"type\": \"max\", \"variables\": [{\"id\": \"1bbc4a20-99ac-11e9-8beb-c3bf9b9dfc43\", \"name\": \"v\"}]}, {\"id\": \"1f34f620-99ac-11e9-8beb-c3bf9b9dfc43\", \"field\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"script\": \"round( (params._timestamp /1000 - params.started) / 86400, 2)\", \"type\": \"math\", \"variables\": [{\"id\": \"1f371900-99ac-11e9-8beb-c3bf9b9dfc43\", \"field\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"name\": \"started\"}]}], \"label\": \"\"}, {\"fill\": 0.5, \"formatter\": \"number\", \"var_name\": \"fds\", \"stacked\": \"none\", \"color\": \"#68BC00\", \"line_width\": 1, \"split_mode\": \"everything\", \"point_size\": 1, \"chart_type\": \"line\", \"id\": \"cc3b1700-99ac-11e9-8beb-c3bf9b9dfc43\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"cc3b1701-99ac-11e9-8beb-c3bf9b9dfc43\", \"field\": \"kubernetes.proxy.process.fds.open.count\", \"type\": \"avg\"}], \"label\": \"\"}, {\"fill\": 0.5, \"formatter\": \"bytes\", \"var_name\": \"resident_memory\", \"stacked\": \"none\", \"color\": \"#68BC00\", \"line_width\": 1, \"split_mode\": \"everything\", \"point_size\": 1, \"chart_type\": \"line\", \"id\": \"da1b1270-99ad-11e9-8beb-c3bf9b9dfc43\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"da1b1271-99ad-11e9-8beb-c3bf9b9dfc43\", \"field\": \"kubernetes.proxy.process.memory.resident.bytes\", \"type\": \"avg\"}], \"label\": \"\"}, {\"fill\": 0.5, \"formatter\": \"bytes\", \"var_name\": \"virtual_memory\", \"stacked\": \"none\", \"color\": \"#68BC00\", \"line_width\": 1, \"split_mode\": \"everything\", \"point_size\": 1, \"chart_type\": \"line\", \"id\": \"50f54000-99ae-11e9-8beb-c3bf9b9dfc43\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"50f54001-99ae-11e9-8beb-c3bf9b9dfc43\", \"field\": \"kubernetes.proxy.process.memory.virtual.bytes\", \"type\": \"avg\"}], \"label\": \"\"}], \"type\": \"markdown\", \"index_pattern\": \"metricbeat-*\", \"time_field\": \"@timestamp\", \"markdown_css\": \"#markdown-61ca57f0-469d-11e7-af02-69e470af7417 table,#markdown-61ca57f0-469d-11e7-af02-69e470af7417 tr,#markdown-61ca57f0-469d-11e7-af02-69e470af7417 td,#markdown-61ca57f0-469d-11e7-af02-69e470af7417 th{border:none}\", \"axis_scale\": \"normal\", \"markdown\": \"\\n|  |   |\\n|---|---|\\n|**Days running**|{{ math.started.last.raw }}|\\n|**File descriptors open**|{{ average_of_kubernetes_proxy_process_fds_open_count.fds.last.raw }}|\\n|**Resident Memory**|{{ average_of_kubernetes_proxy_process_memory_resident_bytes.resident_memory.last.formatted }}|\\n|**Virtual Memory**|{{ average_of_kubernetes_proxy_process_memory_virtual_bytes.virtual_memory.last.formatted }}|\\n\\n\", \"markdown_less\": \"\\ntable, tr, td, th {\\n    border: none;\\n}\\n\\n\", \"id\": \"61ca57f0-469d-11e7-af02-69e470af7417\", \"axis_position\": \"left\", \"show_legend\": 1, \"default_index_pattern\": \"metricbeat-*\", \"show_grid\": 1, \"default_timefield\": \"@timestamp\"}, \"aggs\": [], \"type\": \"metrics\", \"title\": \"Proxy process [Metricbeat Kubernetes]\"}"
            },
            "id": "09b404f0-99af-11e9-ba57-b7ab4e2d4b58",
            "migrationVersion": {
                "visualization": "7.2.0"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2019-07-03T14:46:47.946Z",
            "version": "WzI5MiwyXQ=="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": []}"
                },
                "title": "Proxy HTTP request duration [Metricbeat Kubernetes]",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"axis_formatter\": \"number\", \"interval\": \"auto\", \"series\": [{\"fill\": 0.5, \"formatter\": \"us,ms,2\", \"stacked\": \"none\", \"color\": \"rgba(165,228,85,1)\", \"line_width\": 1, \"split_mode\": \"everything\", \"point_size\": 1, \"chart_type\": \"line\", \"id\": \"05a03f20-9bd8-11e9-871d-d3c7d4c337ef\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"05a06630-9bd8-11e9-871d-d3c7d4c337ef\", \"field\": \"kubernetes.proxy.http.request.duration.us.percentile.99\", \"type\": \"avg\"}], \"label\": \"P99\"}, {\"fill\": 0.5, \"formatter\": \"us,ms,2\", \"stacked\": \"none\", \"color\": \"#68BC00\", \"line_width\": 1, \"split_mode\": \"everything\", \"point_size\": 1, \"chart_type\": \"line\", \"id\": \"dc0faec0-9bd7-11e9-871d-d3c7d4c337ef\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"dc0faec1-9bd7-11e9-871d-d3c7d4c337ef\", \"field\": \"kubernetes.proxy.http.request.duration.us.percentile.90\", \"type\": \"avg\"}], \"label\": \"P90\"}, {\"fill\": 0.5, \"formatter\": \"us,ms,2\", \"stacked\": \"none\", \"color\": \"rgba(65,117,0,1)\", \"line_width\": 1, \"split_mode\": \"everything\", \"point_size\": 1, \"chart_type\": \"line\", \"id\": \"61ca57f1-469d-11e7-af02-69e470af7417\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"field\": \"kubernetes.proxy.http.request.duration.us.percentile.50\", \"type\": \"avg\"}], \"label\": \"P50\"}], \"type\": \"timeseries\", \"index_pattern\": \"metricbeat-*\", \"time_field\": \"@timestamp\", \"axis_scale\": \"normal\", \"id\": \"61ca57f0-469d-11e7-af02-69e470af7417\", \"axis_position\": \"left\", \"show_legend\": 1, \"default_index_pattern\": \"metricbeat-*\", \"show_grid\": 1}, \"aggs\": [], \"type\": \"metrics\", \"title\": \"Proxy HTTP request duration [Metricbeat Kubernetes]\"}"
            },
            "id": "8c6c2690-9bd8-11e9-9dc8-fd27291d427f",
            "migrationVersion": {
                "visualization": "7.2.0"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2019-07-03T11:25:27.941Z",
            "version": "WzI1MiwyXQ=="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": []}"
                },
                "title": "Proxy network programming [Metricbeat Kubernetes]",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"axis_formatter\": \"number\", \"axis_min\": \"0\", \"series\": [{\"fill\": 0.5, \"formatter\": \"number\", \"stacked\": \"none\", \"hidden\": false, \"color\": \"rgba(63,112,2,1)\", \"line_width\": 1, \"split_mode\": \"everything\", \"point_size\": 1, \"chart_type\": \"line\", \"id\": \"61ca57f1-469d-11e7-af02-69e470af7417\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"4dbb3a90-9be6-11e9-871d-d3c7d4c337ef\", \"field\": \"kubernetes.proxy.sync.networkprogramming.duration.us.bucket.16000\", \"type\": \"avg\"}, {\"id\": \"189688a0-9be7-11e9-871d-d3c7d4c337ef\", \"field\": \"4dbb3a90-9be6-11e9-871d-d3c7d4c337ef\", \"type\": \"derivative\", \"unit\": \"\"}], \"label\": \"Under 16ms\"}, {\"fill\": \"0.4\", \"formatter\": \"number\", \"stacked\": \"none\", \"hidden\": false, \"color\": \"rgba(138,223,24,1)\", \"line_width\": 1, \"split_mode\": \"everything\", \"point_size\": 1, \"chart_type\": \"line\", \"id\": \"a60dbe60-9be7-11e9-871d-d3c7d4c337ef\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"a60dbe61-9be7-11e9-871d-d3c7d4c337ef\", \"field\": \"kubernetes.proxy.sync.networkprogramming.duration.us.bucket.512000\", \"type\": \"avg\"}, {\"id\": \"b55a1080-9be7-11e9-871d-d3c7d4c337ef\", \"field\": \"a60dbe61-9be7-11e9-871d-d3c7d4c337ef\", \"type\": \"derivative\", \"unit\": \"\"}], \"label\": \"Under 512ms\"}, {\"fill\": \"0.4\", \"formatter\": \"number\", \"stacked\": \"none\", \"hidden\": false, \"color\": \"rgba(174,161,255,1)\", \"line_width\": 1, \"split_mode\": \"everything\", \"point_size\": 1, \"chart_type\": \"line\", \"id\": \"c5cc4f90-9be8-11e9-871d-d3c7d4c337ef\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"c5cc4f91-9be8-11e9-871d-d3c7d4c337ef\", \"field\": \"kubernetes.proxy.sync.networkprogramming.duration.us.bucket.1024000\", \"type\": \"avg\"}, {\"id\": \"f17cb2b0-9be8-11e9-871d-d3c7d4c337ef\", \"field\": \"c5cc4f91-9be8-11e9-871d-d3c7d4c337ef\", \"type\": \"derivative\", \"unit\": \"\"}], \"label\": \"Under 1024 ms\"}, {\"fill\": \"0.2\", \"formatter\": \"number\", \"stacked\": \"none\", \"hidden\": false, \"color\": \"rgba(115,216,255,1)\", \"line_width\": 1, \"split_mode\": \"everything\", \"point_size\": 1, \"chart_type\": \"line\", \"id\": \"e0901380-9be7-11e9-871d-d3c7d4c337ef\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"e0901381-9be7-11e9-871d-d3c7d4c337ef\", \"field\": \"kubernetes.proxy.sync.networkprogramming.duration.us.bucket.4096000\", \"type\": \"avg\"}, {\"id\": \"f2b6fce0-9be7-11e9-871d-d3c7d4c337ef\", \"field\": \"e0901381-9be7-11e9-871d-d3c7d4c337ef\", \"type\": \"derivative\", \"unit\": \"\"}], \"label\": \"Under 4096 ms\"}, {\"fill\": \"0.2\", \"formatter\": \"number\", \"stacked\": \"none\", \"color\": \"rgba(252,196,0,1)\", \"line_width\": 1, \"split_mode\": \"everything\", \"point_size\": 1, \"chart_type\": \"line\", \"id\": \"882fa5a0-9be9-11e9-871d-d3c7d4c337ef\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"882fccb0-9be9-11e9-871d-d3c7d4c337ef\", \"field\": \"kubernetes.proxy.sync.networkprogramming.duration.us.bucket.8192000\", \"type\": \"avg\"}, {\"id\": \"9adb9d80-9be9-11e9-871d-d3c7d4c337ef\", \"field\": \"882fccb0-9be9-11e9-871d-d3c7d4c337ef\", \"type\": \"derivative\", \"unit\": \"\"}], \"label\": \"Under 8192 ms\"}, {\"fill\": \"0\", \"formatter\": \"number\", \"stacked\": \"none\", \"color\": \"rgba(209,119,103,1)\", \"line_width\": 1, \"split_mode\": \"everything\", \"point_size\": 1, \"chart_type\": \"line\", \"id\": \"86549550-9bef-11e9-871d-d3c7d4c337ef\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"86549551-9bef-11e9-871d-d3c7d4c337ef\", \"field\": \"kubernetes.proxy.sync.networkprogramming.duration.us.bucket.16384000\", \"type\": \"avg\"}, {\"id\": \"86549552-9bef-11e9-871d-d3c7d4c337ef\", \"field\": \"86549551-9bef-11e9-871d-d3c7d4c337ef\", \"type\": \"derivative\", \"unit\": \"\"}], \"label\": \"Under 16384 ms\"}, {\"fill\": \"0\", \"formatter\": \"number\", \"stacked\": \"none\", \"color\": \"#68BC00\", \"line_width\": 1, \"split_mode\": \"everything\", \"point_size\": 1, \"chart_type\": \"line\", \"id\": \"c66bf580-9be9-11e9-871d-d3c7d4c337ef\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"c66bf581-9be9-11e9-871d-d3c7d4c337ef\", \"field\": \"kubernetes.proxy.sync.networkprogramming.duration.us.bucket.+Inf\", \"type\": \"avg\"}, {\"id\": \"d48b3950-9be9-11e9-871d-d3c7d4c337ef\", \"field\": \"c66bf581-9be9-11e9-871d-d3c7d4c337ef\", \"type\": \"derivative\", \"unit\": \"\"}], \"label\": \"All\"}], \"type\": \"timeseries\", \"background_color_rules\": [{\"id\": \"4fb3cbb0-9be5-11e9-871d-d3c7d4c337ef\"}], \"gauge_style\": \"half\", \"time_field\": \"@timestamp\", \"gauge_color_rules\": [{\"id\": \"4de1cad0-9be5-11e9-871d-d3c7d4c337ef\"}], \"gauge_width\": 10, \"axis_scale\": \"normal\", \"gauge_inner_width\": 10, \"bar_color_rules\": [{\"id\": \"4b459c20-9be5-11e9-871d-d3c7d4c337ef\"}], \"interval\": \"auto\", \"id\": \"61ca57f0-469d-11e7-af02-69e470af7417\", \"axis_position\": \"left\", \"show_legend\": 1, \"default_index_pattern\": \"metricbeat-*\", \"index_pattern\": \"metricbeat-*\", \"show_grid\": 1}, \"aggs\": [], \"type\": \"metrics\", \"title\": \"Proxy network programming [Metricbeat Kubernetes]\"}"
            },
            "id": "b8a24790-9bf0-11e9-9dc8-fd27291d427f",
            "migrationVersion": {
                "visualization": "7.2.0"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2019-07-03T11:26:26.595Z",
            "version": "WzI1NSwyXQ=="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": []}"
                },
                "title": "Proxy sync rules [Metricbeat Kubernetes]",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"axis_formatter\": \"number\", \"interval\": \"auto\", \"series\": [{\"fill\": 0.5, \"formatter\": \"number\", \"stacked\": \"none\", \"hidden\": false, \"color\": \"rgba(63,112,2,1)\", \"line_width\": 1, \"split_mode\": \"everything\", \"point_size\": 1, \"chart_type\": \"line\", \"id\": \"61ca57f1-469d-11e7-af02-69e470af7417\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"field\": \"kubernetes.proxy.sync.rules.duration.us.bucket.16000\", \"type\": \"avg\"}, {\"id\": \"038a94d0-9bf4-11e9-9f03-d58417b2a60d\", \"field\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"type\": \"derivative\", \"unit\": \"\"}], \"label\": \"Under 16 ms\"}, {\"fill\": \"0.4\", \"formatter\": \"number\", \"stacked\": \"none\", \"hidden\": false, \"color\": \"rgba(138,223,24,1)\", \"line_width\": 1, \"split_mode\": \"everything\", \"point_size\": 1, \"chart_type\": \"line\", \"id\": \"250daed0-9bf4-11e9-9f03-d58417b2a60d\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"250dd5e0-9bf4-11e9-9f03-d58417b2a60d\", \"field\": \"kubernetes.proxy.sync.rules.duration.us.bucket.512000\", \"type\": \"avg\"}, {\"id\": \"250dd5e1-9bf4-11e9-9f03-d58417b2a60d\", \"field\": \"250dd5e0-9bf4-11e9-9f03-d58417b2a60d\", \"type\": \"derivative\", \"unit\": \"\"}], \"label\": \"Under 512 ms\"}, {\"fill\": \"0.3\", \"formatter\": \"number\", \"stacked\": \"none\", \"hidden\": false, \"color\": \"rgba(174,161,255,1)\", \"line_width\": 1, \"split_mode\": \"everything\", \"point_size\": 1, \"chart_type\": \"line\", \"id\": \"744141b0-9bf4-11e9-9f03-d58417b2a60d\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"744141b1-9bf4-11e9-9f03-d58417b2a60d\", \"field\": \"kubernetes.proxy.sync.rules.duration.us.bucket.1024000\", \"type\": \"avg\"}, {\"id\": \"744141b2-9bf4-11e9-9f03-d58417b2a60d\", \"field\": \"744141b1-9bf4-11e9-9f03-d58417b2a60d\", \"type\": \"derivative\", \"unit\": \"\"}], \"label\": \"Under 1024 ms\"}, {\"fill\": \"0.2\", \"formatter\": \"number\", \"stacked\": \"none\", \"hidden\": false, \"color\": \"rgba(115,216,255,1)\", \"line_width\": 1, \"split_mode\": \"everything\", \"point_size\": 1, \"chart_type\": \"line\", \"id\": \"e4454060-9bf4-11e9-9f03-d58417b2a60d\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"e4454061-9bf4-11e9-9f03-d58417b2a60d\", \"field\": \"kubernetes.proxy.sync.rules.duration.us.bucket.4096000\", \"type\": \"avg\"}, {\"id\": \"e4456770-9bf4-11e9-9f03-d58417b2a60d\", \"field\": \"e4454061-9bf4-11e9-9f03-d58417b2a60d\", \"type\": \"derivative\", \"unit\": \"\"}], \"label\": \"Under 4096 ms\"}, {\"fill\": \"0.1\", \"formatter\": \"number\", \"stacked\": \"none\", \"hidden\": false, \"color\": \"rgba(252,196,0,1)\", \"line_width\": 1, \"split_mode\": \"everything\", \"point_size\": 1, \"chart_type\": \"line\", \"id\": \"1ac14f80-9bf5-11e9-9f03-d58417b2a60d\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"1ac17690-9bf5-11e9-9f03-d58417b2a60d\", \"field\": \"kubernetes.proxy.sync.rules.duration.us.bucket.8192000\", \"type\": \"avg\"}, {\"id\": \"1ac17691-9bf5-11e9-9f03-d58417b2a60d\", \"field\": \"1ac17690-9bf5-11e9-9f03-d58417b2a60d\", \"type\": \"derivative\", \"unit\": \"\"}], \"label\": \"Under 8192 ms\"}, {\"fill\": \"0\", \"formatter\": \"number\", \"stacked\": \"none\", \"hidden\": false, \"color\": \"rgba(209,119,103,1)\", \"line_width\": 1, \"split_mode\": \"everything\", \"point_size\": 1, \"chart_type\": \"line\", \"id\": \"3cbf17c0-9bf5-11e9-9f03-d58417b2a60d\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"3cbf17c1-9bf5-11e9-9f03-d58417b2a60d\", \"field\": \"kubernetes.proxy.sync.rules.duration.us.bucket.16384000\", \"type\": \"avg\"}, {\"id\": \"3cbf17c2-9bf5-11e9-9f03-d58417b2a60d\", \"field\": \"3cbf17c1-9bf5-11e9-9f03-d58417b2a60d\", \"type\": \"derivative\", \"unit\": \"\"}], \"label\": \"Under 16384 ms\"}, {\"fill\": \"0\", \"formatter\": \"number\", \"stacked\": \"none\", \"color\": \"rgba(104,188,0,1)\", \"line_width\": 1, \"split_mode\": \"everything\", \"point_size\": 1, \"chart_type\": \"line\", \"id\": \"58fb7c80-9bf5-11e9-9f03-d58417b2a60d\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"58fb7c81-9bf5-11e9-9f03-d58417b2a60d\", \"field\": \"kubernetes.proxy.sync.rules.duration.us.bucket.+Inf\", \"type\": \"avg\"}, {\"id\": \"58fb7c82-9bf5-11e9-9f03-d58417b2a60d\", \"field\": \"58fb7c81-9bf5-11e9-9f03-d58417b2a60d\", \"type\": \"derivative\", \"unit\": \"\"}], \"label\": \"All\"}], \"type\": \"timeseries\", \"index_pattern\": \"metricbeat-*\", \"time_field\": \"@timestamp\", \"axis_scale\": \"normal\", \"id\": \"61ca57f0-469d-11e7-af02-69e470af7417\", \"axis_position\": \"left\", \"show_legend\": 1, \"default_index_pattern\": \"metricbeat-*\", \"show_grid\": 1}, \"aggs\": [], \"type\": \"metrics\", \"title\": \"Proxy sync rules [Metricbeat Kubernetes]\"}"
            },
            "id": "ba7bf750-9bf5-11e9-9dc8-fd27291d427f",
            "migrationVersion": {
                "visualization": "7.2.0"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2019-07-03T11:27:49.230Z",
            "version": "WzI1OSwyXQ=="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": []}"
                },
                "title": "Host selector [Metricbeat Kubernetes]",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"useTimeFilter\": false, \"controls\": [{\"parent\": \"\", \"id\": \"1561982488150\", \"indexPatternRefName\": \"control_0_index_pattern\", \"type\": \"list\", \"fieldName\": \"host.hostname\", \"options\": {\"order\": \"desc\", \"type\": \"terms\", \"dynamicOptions\": true, \"multiselect\": true, \"size\": 5}, \"label\": \"Hostname\"}, {\"parent\": \"\", \"id\": \"1561982723711\", \"indexPatternRefName\": \"control_1_index_pattern\", \"type\": \"list\", \"fieldName\": \"service.address\", \"options\": {\"order\": \"desc\", \"type\": \"terms\", \"dynamicOptions\": true, \"multiselect\": false, \"size\": 5}, \"label\": \"Service address\"}], \"updateFiltersOnChange\": false, \"pinFilters\": false}, \"aggs\": [], \"type\": \"input_control_vis\", \"title\": \"Host selector [Metricbeat Kubernetes]\"}"
            },
            "id": "bcb194a0-9bf8-11e9-9dc8-fd27291d427f",
            "migrationVersion": {
                "visualization": "7.2.0"
            },
            "references": [
                {
                    "id": "metricbeat-*",
                    "name": "control_0_index_pattern",
                    "type": "index-pattern"
                },
                {
                    "id": "metricbeat-*",
                    "name": "control_1_index_pattern",
                    "type": "index-pattern"
                }
            ],
            "type": "visualization",
            "updated_at": "2019-07-03T07:20:34.226Z",
            "version": "WzEzMywxXQ=="
        }
    ],
    "version": "7.2.0"
}